<?php

$timebeforerevote = 1;//1 * 60min * 24h

function novavideo_hasAlreadyVoted($post_id)
{
	global $timebeforerevote;

	$meta_IP = get_post_meta($post_id, "voted_IP");
	$voted_IP = $meta_IP[0];
	if(!is_array($voted_IP))
		$voted_IP = array();
	$ip = $_SERVER['REMOTE_ADDR'];
	
	if(in_array($ip, array_keys($voted_IP)))
	{
		$time = $voted_IP[$ip];
		$now = time();
		
		if(round(($now - $time) / 60) > $timebeforerevote)
			return false;
			
		return true;
	}
	
	return false;
}

function novavideo_getPostLikeLink($post_id)
{
	$themename = novavideo_get_theme_name();
 
	$output = '<span class="post-like">';
	if(novavideo_hasAlreadyVoted($post_id)){
		$output .= '' . __('Thank you for rating!', $themename) . '';
	}else{
		$output .= '<a href="#" data-post_id="'.$post_id.'" data-post_like="like">
					   <span title="' . __('I like this video',$themename) . '" class="qtip like border-radius-5"><span id="more" class="border-radius-left-5"><img src="' . get_bloginfo("template_url") . '/images/up.png" alt="' . __('I like this video',$themename) . '"></span> ' . __('I like',$themename) . '</span>
				    </a>
                    
                    <a href="#" data-post_id="'.$post_id.'" data-post_like="dislike">
					   <span title="' . __('I don&apos;t like this video',$themename) . '" class="qtip dislike border-radius-5"><span id="less" class="border-radius-left-5"><img src="' . get_bloginfo("template_url") . '/images/down.png" alt="' . __('I don&apos;t like this video',$themename) . '"></span> ' . __('I don&apos;t like',$themename) . '</span>
				    </a>
                ';
         $output .= '</span>';  
    }
    
	return $output;
}
function novavideo_getPostLikeRate( $post_id ){
    $like_count     = get_post_meta($post_id, "likes_count", true);
    $dislike_count  = get_post_meta($post_id, "dislikes_count", true);
    $total_count    = $like_count + $dislike_count;
    
    if($total_count > 0)
        return $like_count / $total_count * 100;
    else
        return false;
}

function novavideo_getItemPostLikeRate( $post_id ){
    
    if( novavideo_getPostLikeRate($post_id) !== false )
        return floor( novavideo_getPostLikeRate($post_id) ) . '%';
    else
        return false;
    
}
?>