<?php header("Content-type: text/css"); ?>

<?php 
if (!empty($_GET['color'])){
    $color = '#' . $_GET['color'];
}else{
    $color = '#00A5AE';
}
   
?>
/* ================================================================================================
        Main color CSS
================================================================================================ */

/* ************************************************************************************************
		General
************************************************************************************************ */
a {
    color: <?php echo $color;?>;
}

h1.home {
    border-left-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Header
************************************************************************************************ */ 

/********** Navigation **********/
#nav li.current-menu-item,
#nav li a:hover {
    background-color: <?php echo $color;?>;
}

/********** Carousel **********/
.bx-wrapper .bx-pager.bx-default-pager a:hover,
.bx-wrapper .bx-pager.bx-default-pager a.active {
    background-color: <?php echo $color;?>;
}

.bx-wrapper .bx-prev,
.bx-wrapper .bx-next {
    background-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Content
************************************************************************************************ */ 
.infobutton {
    background-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Listing videos
************************************************************************************************ */
.listing-infos .rating-infos {
    color: <?php echo $color;?>;    
}

/* ************************************************************************************************
		Video content
************************************************************************************************ */ 

/********** Player **********/
body .mejs-controls .mejs-time-rail .mejs-time-current {
    background: <?php echo $color;?>;
}


.vjs-default-skin .vjs-play-progress,
.vjs-default-skin .vjs-volume-level {
    background: <?php echo $color;?>;
}

body .mejs-overlay:hover .mejs-overlay-button,
.vjs-default-skin div.vjs-big-play-button:hover {
    -webkit-box-shadow: 0 0 80px <?php echo $color;?>;
    -moz-box-shadow: 0 0 80px <?php echo $color;?>;
    box-shadow: 0 0 80px <?php echo $color;?>;
}

/********** Share buttons **********/
.share-buttons ul li a {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

/********** Rating **********/
.post-like a span#more,
.post-like a span#less,
.like-bar {
    background-color: <?php echo $color;?>;
}

.post-like a span#more,
.post-like a span#less {
    border-color: <?php echo $color;?>;
}

/********** Categories and tags **********/
#cat-tag li a:hover {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

/********** URL Player button **********/
a.url-player-button {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Video widgets
************************************************************************************************ */ 

/********** All videos link **********/
.content-widget ul li.all_videos,
#sidebar .sidebar-widget .listing-tube li.all_videos,
#footer .footer-widget ul.listing-tube li.all_videos,
#footer .footer-widget-last ul.listing-tube li.all_videos {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Comments
************************************************************************************************ */
.comments-template input[type="submit"] {
    background: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

span.required { 
    color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Pagination
************************************************************************************************ */
.pagination a {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Searchform
************************************************************************************************ */
#searchform #searchsubmit {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Template Categories
************************************************************************************************ */
ul.listing-cat li:hover span.nb_cat {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;    
}

/* ************************************************************************************************
		Template Tags
************************************************************************************************ */
.wp-tag-cloud li a:hover,
.tagcloud a:hover {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Filters
************************************************************************************************ */
.filtre-list a:hover,
.filtre-list li.selected {
    background-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Sidebar
************************************************************************************************ */
#sidebar li.cat-item a:hover {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

#sidebar .wp-tag-cloud li a:hover,
#sidebar .tagcloud a:hover {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

/* ************************************************************************************************
		Footer
************************************************************************************************ */
#footer li.cat-item a:hover {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}

.backtotopinstance {
    background-color: <?php echo $color;?>;
    border-color: <?php echo $color;?>;
}