<?php
/**
 * The type of display : tube.
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */
?>

<li class="border-radius-5 box-shadow">

    <?php
        $attr = array(			
            'alt'	=> get_the_title(),
            'title'	=> get_the_title(),        
            'rel'   => novavideo_get_nb_thumbs( get_the_ID() )
        );
    ?>    
    
    <?php echo novavideo_get_post_image( ); ?>
    
    <a href="<?php the_permalink() ?>" title="<?php the_title() ?>"><span><?php the_title() ?></span></a>    
    
        <?php if ( get_option( novavideo_get_theme_name() . '_rating' ) == 'yes' && novavideo_getItemPostLikeRate( get_the_ID() ) != false ) : ?>
        
            <div class="listing-infos">
    
                <!-- Views -->
                <div class="views-infos"><?php echo novavideo_getPostViews(get_the_ID()); ?></div>
                
                <!-- Time -->
                <?php if( novavideo_get_duree_video() ) :?>
                
                    <div class="time-infos"><?php echo novavideo_get_duree_video();?><span class="time-img"></span></div>
                
                <?php else : ?>
                
                    <div class="time-infos"> - <span class="time-img"></span></div>
                    
                <?php endif;?>
                
                <!-- Rating -->
                <?php if ( novavideo_getItemPostLikeRate (get_the_ID()) ) : ?>        
              
                    <div class="rating-infos"><?php echo novavideo_getItemPostLikeRate( get_the_ID() );?><span class="rating-img"></span></div>
                         
                <?php endif;?>

            </div><!-- .listing-infos -->
            
        <?php else : ?>
        
            <div class="listing-infos">
    
                <!-- Views -->
                <div class="views-infos" style="width: 49%;"><?php echo novavideo_getPostViews(get_the_ID()); ?></div>
                
                <!-- Time -->
                <?php if( novavideo_get_duree_video() ) :?>
                
                    <div class="time-infos" style="background: none; border-right: none; width: 50%;"><?php echo novavideo_get_duree_video();?><span class="time-img"></span></div>
                
                <?php else : ?>
                
                    <div class="time-infos" style="background: none; border-right: none; width: 50%;"> - <span class="time-img"></span></div>
                    
                <?php endif;?>                

            </div><!-- .listing-infos --> 
            
        <?php endif;?>
    
</li>