<?php
/**
 * The sidebar containing the main widget area.
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */
?>

<?php if ( get_option( novavideo_get_theme_name() . '_sidebar' ) == 'yes' ) : ?>

    <?php wp_reset_postdata(); ?>  
      
    <div id="sidebar" class="border-radius-5 box-shadow">
    
    <?php
        $sidebar_banner                 = novavideo_get_banner( 'sidebar' );
        $affiliate_id                   = get_option ( novavideo_get_theme_name() . '_affiliate_id' );
        $affiliate_banner_sidebar       = get_option ( novavideo_get_theme_name() . '_affiliate_banner_sidebar' );
        $width_sidebar                  = get_option ( novavideo_get_theme_name() . '_width_sidebar' );
    ?>
    
    <?php if ( $affiliate_id != '' && $affiliate_banner_sidebar == 'yes' ) : ?>
        <div class="sidebar-banner"><a href="http://www.wp-script.com/?ref=<?php echo $affiliate_id; ?>" title="Create Adult Video Websites with our Premium Wordpress Themes and Plugins" target="_blank" rel="nofollow"><img <?php if ( $width_sidebar == 'large' ) : ?> src="http://www.wp-script.com/banners/wp-script-medium-rectangle-dark.gif" <?php elseif ( $width_sidebar == 'small' ) : ?> src="http://www.wp-script.com/banners/wp-script-wide-skycraper-dark.gif" <?php endif; ?> alt="Create Adult Video Websites with our Premium Wordpress Themes and Plugins" /></a></div> 
    <?php elseif( !empty( $sidebar_banner ) ) : ?>
        <div class="sidebar-banner"><?php echo $sidebar_banner ?></div>        
    <?php endif; ?>
        
    <?php 
        if( is_singular('post') && function_exists('dynamic_sidebar') && is_active_sidebar('video-sidebar') ){
            dynamic_sidebar('Video Sidebar');
        }else if( function_exists('dynamic_sidebar') && is_active_sidebar('sidebar') ){
            dynamic_sidebar('Sidebar');
        }else{
            
        }
    ?>
    </div><!-- #sidebar -->

<?php endif; ?>