<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */

get_header(); ?>
    
    <h1 class="error"><?php _e( 'Page 404', novavideo_get_theme_name() ); ?>
    
    <h2><?php _e( 'Sorry the page you requested does not exist. Feel free to watch our latest videos', novavideo_get_theme_name() ); ?> : </h2>
               
        <?php $page_query = new WP_Query( array( 'posts_per_page' => get_option( novavideo_get_theme_name() . '_nb_videos_listing' ), 'post_type' => 'post' ) ); ?>            

            <?php if( $page_query->have_posts() ) : ?>
            
                <ul class="listing-videos listing-<?php echo get_option( novavideo_get_theme_name() . '_type_display' ); ?>">
                
                <?php while ( $page_query->have_posts() ) : $page_query->the_post(); ?>
                
                    <?php get_template_part( 'item', get_option( novavideo_get_theme_name() . '_type_display' ) ); ?>
                    
                <?php endwhile; ?>
                
                </ul>
                
            <?php endif; ?>
            
            <div class="clear"></div>

    </div><!-- #content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>