<?php

/*Ajout d'éléments dans les listings de vidéos*/

add_filter('manage_edit-post_columns', 'novavideo_film_columns');
 function novavideo_film_columns($defaults) {   
    $defaults['statut']         = '' . __( 'Statut', novavideo_get_theme_name() ) . '';
    $defaults['thumb']          = '' . __( 'Thumbnail', novavideo_get_theme_name() ) . '';   
    $defaults['duree_extrait']  = '' . __( 'Extract duration', novavideo_get_theme_name() ) . '';
    $defaults['duree']          = '' . __( 'Complete duration', novavideo_get_theme_name() ) . '';
    $defaults['vues']           = '' . __( 'Views', novavideo_get_theme_name() ) . '';
    $defaults['votes']          = '' . __( 'Number of votes', novavideo_get_theme_name() ) . '';
    $defaults['like']           = '' . __( 'Like', novavideo_get_theme_name() ) . '';
      
    return $defaults;
}

add_action('manage_posts_custom_column',  'novavideo_my_columns');
	function novavideo_my_columns($name) {
		global $post;
		switch ($name) { 
		  
            case 'statut':
                echo '<a href="' . get_bloginfo( 'url' ) . '/wp-admin/edit.php?post_status=' . $post->post_status . '&post_type=post" title="Voir toutes les vidéos dont le statut est ' . $post->post_status . '">';
    			echo '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/' . $post->post_status . '.png" alt="' . $post->post_status . '" />';
    			echo '</a>';                     
                               
                break;               
            
            
            case 'thumb':
                $attachment = '';
                $attr = '';
                if( isset( $attachment ) && is_object( $attachment ) ){
                    $attr = array(			
    			                     'alt'	=> trim(strip_tags( $attachment->post_excerpt )),
    			                     'title'=> trim(strip_tags( $attachment->post_title ))
    		                      );
                }
                
                echo '<a href="' . get_permalink('') . '" title="' . get_the_title('') . '">';
                /*if ( get_post_meta($post->ID, 'url_thumb', true) == true ) {
        
                    echo '<img src="' . get_post_meta($post->ID, 'url_thumb', true) . '" width="95" height="70" alt="' . get_the_title() . '" />';*/
                    
                if ( has_post_thumbnail() ) {
                    
                    echo get_the_post_thumbnail( $post->ID, 'thumb_admin', $attr );
        
                } else if( get_post_meta($post->ID, 'url_thumb', true) == true) { 
                    
                    echo '<img src="' . get_post_meta($post->ID, 'url_thumb', true) . '" width="95" height="70" alt="' . get_the_title() . '" />';
                    
                } else {
                    
                    echo '<img src="' . get_bloginfo('template_url') . '/_admin/images/no-image-admin.png" width="95" height="70" />';
                    
                }
                echo '</a>';
                
    			break;
            case 'vues':
    			echo novavideo_getPostViews( $post->ID, 'vues', true );
    			break;
                
            case 'votes':
    			echo (int) get_post_meta( $post->ID, 'likes_count', true) + (int) get_post_meta( $post->ID, 'dislikes_count', true);
    			break;
                
            case 'like':
                $like = novavideo_getItemPostLikeRate( $post->ID, 'like', true );
                $like_ratio = substr($like,0, count($like) - 2 );
                if($like):
                
                    if($like_ratio >= 50):
                        echo '<span class="positive-ratio">' . $like_ratio . ' %</span>';
                    else:
                        echo '<span class="negative-ratio">' . $like_ratio . ' %</span>';
                    endif;
                    
                else:
                    echo '-';
                endif;
                
    			break;
                
            case 'duree_extrait':
                echo ( novavideo_get_duree_video( 'extract' ) != '' ? novavideo_get_duree_video( 'extract' ) : '—' );   
    			break;
                
            case 'duree':
                echo ( novavideo_get_duree_video( 'complete' ) != '' ? novavideo_get_duree_video( 'complete' ) : '—' );
    			break;
            
	   }
    }

?>