<?php
    
    //Fonction pour retourner le code d'une banniere
    function novavideo_get_banner( $position ){
        //position : content / header / sidebar / footer
        
        global $post;
        $video_sponsor = get_post_meta( $post->ID , 'sponsor', true );  
                
        $banner = false;
        $banner_position = novavideo_banner_corres($position);
        
        //si on est dans une vido
        if( is_singular( 'post' ) ){ 
            
            if( !empty( $video_sponsor ) ){
                
                $banner = get_option( $video_sponsor . '_' . sanitize_title( $banner_position['video'] ) );
                
                if( $banner == '' ){
                    $banner = get_option( $banner_position['theme'] );
                }
                
            }else{
                
                $banner = get_option( $banner_position['theme'] );
                
            }
            
        }else if( !novavideo_is_signup() ){
            
            $banner = get_option( $banner_position['theme'] );
        
        }
        
        $banner = str_replace("&", "&amp;", stripcslashes( $banner ) );
        
        return $banner;        
                
    }
    
    
    function novavideo_banner_corres( $position ){     
        
        global $post;
        $video_sponsor = get_post_meta( $post->ID , 'sponsor', true );        
        
        $corres_position = array();
        
        switch( $position ){
            
            case 'header' :
                if (!empty( $video_sponsor )) :
                    $corres_position['video']  = __('Header banner', novavideo_get_sponsor_lang( get_post_meta($post->ID, 'sponsor', true) ));
                endif;
                    $corres_position['theme']  = novavideo_get_theme_name() . '_banner_header';
                break;
            
            case 'content' :
                if (!empty( $video_sponsor )) :
                    $corres_position['video']  = __('Video banner', novavideo_get_sponsor_lang( get_post_meta($post->ID, 'sponsor', true) ));
                endif;
                    $corres_position['theme']  = novavideo_get_theme_name() . '_banner_content';
                break;
            
            case 'sidebar' :
                if (!empty( $video_sponsor )) :
                    $corres_position['video']  = __('Sidebar banner', novavideo_get_sponsor_lang( get_post_meta($post->ID, 'sponsor', true) ));
                endif;
                    $corres_position['theme']  = novavideo_get_theme_name() . '_banner_sidebar';
                break;
                
            case 'footer' :
                if (!empty( $video_sponsor )) :
                    $corres_position['video']  = __('Footer banner', novavideo_get_sponsor_lang( get_post_meta($post->ID, 'sponsor', true) ));
                endif;
                    $corres_position['theme']  = novavideo_get_theme_name() . '_banner_footer';
                break;
            
        }
        return $corres_position;
    }        
   
?>