<?php

/**** Pagination ****/
    function novavideo_theme_pagination() {
        
        global $wp_query, $wp_rewrite;
        
        $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
        
        $pagination = array(
                            'base' => @add_query_arg('page','%#%'),
                            'format' => '',
                            'total' => $wp_query->max_num_pages,
                            'current' => $current,
                                    'show_all' => false,
                                    'end_size'     => 1,
                                    'mid_size'     => 2,
                            'type' => 'list',
                            'next_text' => '' . __('Next videos &raquo;', novavideo_get_theme_name()) . '',
                            'prev_text' => '' . __('&laquo; Previous videos', novavideo_get_theme_name()) .''
                            );
            
        if( $wp_rewrite->using_permalinks() )
            $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
            
            $test = explode('?', remove_query_arg( 's', get_pagenum_link( 1 )));
            $url  = isset( $test[0] ) ? $test[0] : null;
            $vars = isset( $test[1] ) ? $test[1] : null;
            
            if( $vars != '' ){
                $vars = '?' . $vars;
                $pagination['base'] =  user_trailingslashit( trailingslashit( $url ) . 'page/%#%/' . $vars, 'paged' );
                $pagination['base'] = substr( $pagination['base'], 0, strlen($pagination['base']) -1);
            }
            
        if( !empty($wp_query->query_vars['s']) )
            $pagination['add_args'] = array( 's' => get_query_var( 's' ) );
            
        echo paginate_links( $pagination );
        
    }
/****/


/**** return page number ****/
function novavideo_page_number( $separator = '' ){
    global $paged;
    if( $paged > 1 ){
        echo $separator . 'page ' . $paged;
    }else{
        return false;
    }
}

?>