<div id="video-infos" class="border-radius-bottom-5">                    
                
    <div id="video-top">
        
        <!-- Views display -->                    
        <div class="views-infos"><?php echo novavideo_getPostViews(get_the_ID()); ?></div>
        
        <!-- Time display -->
        <?php if( novavideo_get_duree_video() ) : ?>
            <div class="time-infos" style="background: none; border-right: none;"><?php echo novavideo_get_duree_video();?><span class="time-img"></span></div>                        
        <?php else : ?>                        
            <div class="time-infos" style="background: none; border-right: none;"> - <span class="time-img"></span></div>                            
        <?php endif;?> 
        
        <!-- Rating results -->
        <?php if ( get_option( novavideo_get_theme_name() . '_rating' ) == 'yes' ) : ?>  
            <div id="rating-results">
                           
                    <span class="rating"><?php echo novavideo_getItemPostLikeRate( get_the_ID() ); ?></span> <div class="votes"><?php _e('Rates' , novavideo_get_theme_name()); ?> : <span class="nb-votes"><?php echo (int) get_post_meta( $post->ID, 'likes_count', true) + (int) get_post_meta( $post->ID, 'dislikes_count', true); ?></span></div>
                
                    <?php $is_rated_yet = novavideo_getPostLikeRate(get_the_ID()) === false ? " not-rated-yet" : ''; ?>
                
                    <div class="note-bar<?php echo $is_rated_yet;?> border-radius-5">
                        <div class="like-bar" style="width:<?php echo novavideo_getPostLikeRate(get_the_ID());?>%;"></div>
                    </div>                                
            </div> 
        <?php endif; ?>
        
        <!-- Rating -->
        <?php if ( get_option( novavideo_get_theme_name() . '_rating' ) == 'yes' ) : ?>                    
            <div id="video-rate">
                <?php echo novavideo_getPostLikeLink(get_the_ID()); ?>
            </div>
        <?php endif; ?>
        
    </div><!-- #video-top -->                  
        
    <!-- Description -->                
    <?php if ( get_option( novavideo_get_theme_name() . '_hide_desc' ) == 'no' && novavideo_get_video_rendering() ) : ?>
        <div id="video-synopsys" itemprop="description">
            <?php the_content(); ?>                          
        </div>
    <?php endif; ?> 
                        
    <div id="video-bottom">
    
        <!-- Share buttons -->
        <?php $facebook = get_option( novavideo_get_theme_name() . '_facebook' ); ?>
        <?php $twitter = get_option( novavideo_get_theme_name() . '_twitter' ); ?>
        <?php $google = get_option( novavideo_get_theme_name() . '_google' ); ?> 
        
        <?php if ( $facebook == 'yes' || $twitter == 'yes' || $google == 'yes' ) : ?>
        
            <div class="share-buttons">
                               
                <ul>
                
                    <li id="text"><?php _e('Share', novavideo_get_theme_name()); ?> :</li>
                    <?php $title_string=str_replace(' ', '%20', get_the_title());?>                            
                    <li><!-- Facebook Share -->
                        <?php if ( $facebook == 'yes' ): ?>
                        <a class="border-radius-5" target="_blank" href="http://www.facebook.com/sharer.php?u=<?php the_permalink();?>&amp;t=<?php echo($title_string);?>" title="<?php the_title(); ?> - Facebook"><img src="<?php echo get_bloginfo('template_url'); ?>/images/fb-icon.png" alt="<?php the_title(); ?> - Facebook" /></a>
                        <script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script>                                  
                        <?php endif; ?>
                    </li>                            
                
                    <li><!-- Twitter Share -->
                        <?php if ( $twitter == 'yes' ): ?>
                        <a class="border-radius-5" title="<?php the_title(); ?> - Twitter" target="_blank" href="https://twitter.com/share?url=&amp;text=<?php echo($title_string); ?>:%20<?php the_permalink();?>&amp;count=horizontal"><img src="<?php echo get_bloginfo('template_url'); ?>/images/twitter-icon.png" alt="<?php the_title(); ?> - Twitter" /></a>    
                        <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="https://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
                        <?php endif; ?>
                    </li>
                    
                    <li><!-- Google+ Share -->
                        <?php if ( $google == 'yes' ): ?>                                    
                        <a class="border-radius-5" href="https://plus.google.com/share?url=<?php the_permalink();?>" target="_blank" title="<?php the_title(); ?> - Google+" >
                            <img src="<?php echo get_bloginfo('template_url'); ?>/images/google-icon.png" alt="<?php the_title(); ?> - Google+" />
                        </a>
                        <script type="text/javascript">
                          (function() {
                            var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
                            po.src = 'https://apis.google.com/js/plusone.js';
                            var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
                          })();
                        </script>
                        <?php endif; ?>
                    </li>
                
                </ul>
            
            </div><!-- .share-buttons -->
            
        <?php endif; ?>                
        
        <!-- Categories and Tags -->
        <div id="cat-tag">
            <ul>	                         
                <?php echo get_the_term_list( $post->ID, 'category', '<li>', '</li><li>', '</li>' ); ?>                   
                <?php echo get_the_tag_list( '<li>', '</li><li>', '</li>' ); ?>                  
            </ul>
        </div>
        
        <div class="clear"></div>                        
        
    </div><!-- #video-bottom -->                    
    
</div><!-- #video-infos -->