<?php

function from_themabiz(){
    //return true or false
    return false;
}

/* ************************************************************************************************
		Common front and admin functions
************************************************************************************************ */

/**** Load miscelaneous functions ****/
    include_once( TEMPLATEPATH . '/_includes/utils.php' );
    
    
/**** Load menu ****/
    include_once( TEMPLATEPATH . '/_includes/menu.php' );
    

/**** Load rating system ****/
    include_once( TEMPLATEPATH . '/_includes/post_like.php' );
        

/**** Load ajax post like functions ****/
    include_once( TEMPLATEPATH . '/_includes/ajax_post_like.php' );
   

/**** Load widgets declaration ****/
    include_once( TEMPLATEPATH . '/_includes/widgets.php' );


/**** Load widgets declaration ****/
    include_once( TEMPLATEPATH . '/_includes/widgets-videos.php' );
    
    
/**** Load video functions ****/
    include_once( TEMPLATEPATH . '/_includes/video-functions.php' );
    
    
/**** Load video redering functions ****/
    include_once( TEMPLATEPATH . '/_includes/video_rendering.php' );
    

/**** Load theme activation settings ****/
    include_once( TEMPLATEPATH . '/_includes/theme-activation.php' );
    

/**** Set translation files path ****/
    load_theme_textdomain( novavideo_get_theme_name(), TEMPLATEPATH.'/languages' ); 
    

/**** Check if a plugin is active ****/
function novavideo_is_plugin_active( $plugin ) {
    return in_array( $plugin, (array) get_option( 'active_plugins', array() ) );
}

/**** Title filter ****/    
add_filter( 'wp_title', 'novavideo_filter_wp_title' );
/**
 * Filters the page title appropriately depending on the current page
 *
 * This function is attached to the 'wp_title' fiilter hook.
 *
 * @uses	get_bloginfo()
 * @uses	is_home()
 * @uses	is_front_page()
 */
function novavideo_filter_wp_title( $title ) {
	global $page, $paged;

	if ( is_feed() )
		return $title;

	$site_description = get_bloginfo( 'description' );

	$filtered_title = $title . get_bloginfo( 'name' );
	$filtered_title .= ( ! empty( $site_description ) && ( is_home() || is_front_page() ) ) ? ' | ' . $site_description: '';
	$filtered_title .= ( 2 <= $paged || 2 <= $page ) ? ' | ' . sprintf( __( 'Page %s' ), max( $paged, $page ) ) : '';

	return $filtered_title;
}

add_action('wp_ajax_nopriv_post-like', 'novavideo_post_like');
add_action('wp_ajax_post-like', 'novavideo_post_like');


function novavideo_get_sponsor_lang( $sponsor ){
    
    $sponsor_to_lang = array(
                                'pornhub'       => PHFEED_LANG,
                                'redtube'       => RTFEED_LANG,
                                'youporn'       => YPFEED_LANG,
                                'fetishhits'    => FHFEED_LANG,
                                'fetishwealth'  => FWFEED_LANG,
                                'idolbucks'     => IBFEED_LANG,
                                'manicamoney'   => MMFEED_LANG,
                                'niceratios'    => NRFEED_LANG,
                                'pimpboss'      => PBFEED_LANG,
                                'royalcash'     => RCFEED_LANG,
                                'seemybucks'    => SBFEED_LANG,
                                'sextronix'     => STFEED_LANG,
                                'videosz'       => VZFEED_LANG,
                                'viprevenue'    => VRFEED_LANG
                            );

    return $sponsor_to_lang[$sponsor];
}