<?php 

function novavideo_activation( $oldname, $oldtheme=false ) {
    
   if( wp_get_theme() == 'Novavideo' ){

        /**--------------------**/
        /**** Create widgets ****/
        /**--------------------**/
        /** HOME PAGE **/
        $home1                  = array(  
                                        'title'             => __('Latest videos', novavideo_get_theme_name()),
                                        'type_videos'       => 'date',
                                        'nombre_videos'     => "8",
                                        'category_videos'   => "0",
                                        'type_affichages'   => 'tube'             
                                        );
                          
        $home4                  = array(  
                                        'title'             => __('Random videos', novavideo_get_theme_name()),
                                        'type_videos'       => 'random',
                                        'nombre_videos'     => "16",
                                        'category_videos'   => "0",
                                        'type_affichages'   => 'carousel'               
                                        );
        
        $home2                  = array(  
                                        'title'             => __('Longest videos', novavideo_get_theme_name()),
                                        'type_videos'       => 'duree',
                                        'nombre_videos'     => "4",
                                        'category_videos'   => "0",
                                        'type_affichages'   => 'extract'               
                                        );
                                        
        $home3                  = array(  
                                        'title'             => __('Most viewed videos', novavideo_get_theme_name()),
                                        'type_videos'       => 'views',
                                        'nombre_videos'     => "8",
                                        'category_videos'   => "0",
                                        'type_affichages'   => 'wall'               
                                        );
        
        
        /** SIDEBAR **/              
        $sidebar1               = array(
                                        'title'             => __('Categories', novavideo_get_theme_name()),
                                        'count'             => false,
                                        'hierarchical'      => false,
                                        'dropdown'          => false
                                        );
                           
        $sidebar2               = array(  
                                        'title'             => __('Random videos', novavideo_get_theme_name()),
                                        'type_videos'       => 'random',
                                        'nombre_videos'     => "4",
                                        'category_videos'   => "0",
                                        'type_affichages'   => 'tube'               
                                        );
        
        /** VIDEO CONTENT **/                  
        $content1               = array(  
                                        'title'             => __('Related videos', novavideo_get_theme_name()),
                                        'type_videos'       => 'related',
                                        'nombre_videos'     => "16",
                                        'category_videos'   => "0",
                                        'type_affichages'   => 'carousel'               
                                        );
                          
        /** FOOTER **/
        $footer1                = array(  
                                        'title'             => __('Longest videos', novavideo_get_theme_name()),
                                        'type_videos'       => 'duree',
                                        'nombre_videos'     => "4",
                                        'category_videos'   => "0",
                                        'type_affichages'   => 'tube'               
                                        );
                          
        $footer2                = array(  
                                        'title'             => __('Latest videos', novavideo_get_theme_name()),
                                        'type_videos'       => 'date',
                                        'nombre_videos'     => "4",
                                        'category_videos'   => "0",
                                        'type_affichages'   => 'tube'               
                                        );
                          
        $footer3                = array(  
                                        'title'             => __('Random videos', novavideo_get_theme_name()),
                                        'type_videos'       => 'random',
                                        'nombre_videos'     => "4",
                                        'category_videos'   => "0",
                                        'type_affichages'   => 'tube'               
                                        );
                          
        $footer4                = array(
                                        'title'             => __('Categories', novavideo_get_theme_name()),
                                        'count'             => false,
                                        'hierarchical'      => false,
                                        'dropdown'          => false
                                        );
                          
                          
        
        /** HOME PAGE **/
        novavideo_add_default_widget( 'homepage', 'video_listings', 200, $home1 );
        
        novavideo_add_default_widget( 'homepage', 'video_listings', 210, $home4 );
        
        novavideo_add_default_widget( 'homepage', 'video_listings', 201, $home2 );
        
        novavideo_add_default_widget( 'homepage', 'video_listings', 202, $home3 );        
        
        /** SIDEBAR **/
        novavideo_add_default_widget( 'sidebar', 'categories', 203, $sidebar1 );    
        
        novavideo_add_default_widget( 'sidebar', 'video_listings', 204, $sidebar2 );
        
        /** VIDEO CONTENT **/
        novavideo_add_default_widget( 'video-content', 'video_listings', 205, $content1 );
        
        /** FOOTER **/
        novavideo_add_default_widget( 'footer1', 'video_listings', 206, $footer1 );
        
        novavideo_add_default_widget( 'footer2', 'video_listings', 207, $footer2 );
        
        novavideo_add_default_widget( 'footer3', 'video_listings', 208, $footer3 );
        
        novavideo_add_default_widget( 'footer4', 'categories', 209, $footer4 ); 
        
        
        /**----------------------------**/
        /**** Create categories page ****/
        /**----------------------------**/
        if (isset($_GET['activated']) && is_admin()){
                $new_page_title = __('Categories', novavideo_get_theme_name());
                $new_page_content = '';
                $new_page_template = 'template-categories.php'; //ex. template-custom.php. Leave blank if you don't want a custom page template.
                //don't change the code bellow, unless you know what you're doing
                $page_check = get_page_by_title($new_page_title);
                $new_page = array(
                        'post_type' => 'page',
                        'post_title' => $new_page_title,
                        'post_content' => $new_page_content,
                        'post_status' => 'publish',
                        'post_author' => 1,
                );
                if(!isset($page_check->ID)){
                        $new_page_id = wp_insert_post($new_page);
                        if(!empty($new_page_template)){
                                update_post_meta($new_page_id, '_wp_page_template', $new_page_template);
                        }
                }
        }
        
        /**----------------------------**/
        /**** Create tags page ****/
        /**----------------------------**/
        if (isset($_GET['activated']) && is_admin()){
                $new_page_title = __('Tags', novavideo_get_theme_name());
                $new_page_content = '';
                $new_page_template = 'template-tags.php'; //ex. template-custom.php. Leave blank if you don't want a custom page template.
                //don't change the code bellow, unless you know what you're doing
                $page_check = get_page_by_title($new_page_title);
                $new_page = array(
                        'post_type' => 'page',
                        'post_title' => $new_page_title,
                        'post_content' => $new_page_content,
                        'post_status' => 'publish',
                        'post_author' => 1,
                );
                if(!isset($page_check->ID)){
                        $new_page_id = wp_insert_post($new_page);
                        if(!empty($new_page_template)){
                                update_post_meta($new_page_id, '_wp_page_template', $new_page_template);
                        }
                }
        }
        
        /**---------------------**/
        /**** Create nav menu ****/
        /**---------------------**/
        $menuname = 'Menu';
        $menulocation = 'top-navigation';
        // Does the menu exist already?
        $menu_exists = wp_get_nav_menu_object( $menuname );
        
        // If it doesn't exist, let's create it.
        if( !$menu_exists){
            $menu_id = wp_create_nav_menu($menuname);
        
            // Set up default links and add them to the menu.
            wp_update_nav_menu_item($menu_id, 0, array(
                'menu-item-title' =>  __('Home', novavideo_get_theme_name()),
                'menu-item-classes' => '',
                'menu-item-url' => home_url( '/' ), 
                'menu-item-status' => 'publish'));
        
            wp_update_nav_menu_item($menu_id, 0, array(
                'menu-item-title' =>  __('Categories', novavideo_get_theme_name()),
                'menu-item-object' => 'page',
                'menu-item-object-id' => get_page_by_path('categories')->ID,
                'menu-item-type' => 'post_type',
                'menu-item-status' => 'publish'));
                
            wp_update_nav_menu_item($menu_id, 0, array(
                'menu-item-title' =>  __('Tags', novavideo_get_theme_name()),
                'menu-item-object' => 'page',
                'menu-item-object-id' => get_page_by_path('tags')->ID,
                'menu-item-type' => 'post_type',
                'menu-item-status' => 'publish'));        
        
            //menu location
            if( !has_nav_menu( $menulocation ) ){
                $locations = get_theme_mod('nav_menu_locations');
                $locations[$menulocation] = $menu_id;
                set_theme_mod( 'nav_menu_locations', $locations );
            }
        }
    
    }//end if current theme is novavideo
    
}//end of novavideo_activation

add_action("after_switch_theme", "novavideo_activation", 10, 2);
                    
//function add_default_video_widget( $sidebar_id, $widget_id, $title = 'Video Widget', $nb_videos = "4", $video_type  = 'date', $cat_videos = "0", $display_type = 'tube' ){

function novavideo_add_default_widget( $sidebar_id, $widget_type = 'video_listings', $widget_id, $args = array() ){
    
    global $sidebars_widgets;
    
    
    /*RAZ*/
    $ops[$widget_id] = '';
    //$sidebars_widgets = '';
    
    
    $sidebars_widgets = get_option('sidebars_widgets');
                           
    if( ! in_array( $widget_type . "-".$widget_id, (array)$sidebars_widgets[$sidebar_id] ) )
        $sidebars_widgets[$sidebar_id][] = $widget_type . "-" . $widget_id;
    
    $ops = get_option('widget_' . $widget_type);
        
    $ops[$widget_id] = $args;
   // var_dump( $ops["_multiwidget"] );
   // if( isset( $ops["_multiwidget"] ))
    //unset($ops["_multiwidget"]);
    
    $ops["_multiwidget"] = 1;
    
    update_option('widget_' . $widget_type, $ops); 
    update_option('sidebars_widgets', $sidebars_widgets);    
    
} 

?>