<?php

function novavideo_get_video_rendering(){
    
    global $post;
    global $wp_embed;

    $relation_source_type_player = array( 
    
                                    'cnf_source_url'  => array(  
                                                                'youtube_native_player'     => array(   
                                                                                                    'jw_player'     => 'render_with_embed',
                                                                                                    'kvs_player_pro'=> 'render_with_embed',
                                                                                                    'kvs_player'    => 'render_with_embed',
                                                                                                    'fv_player'    => 'render_with_embed',
                                                                                                    'defaults'      => 'render_with_embed'
                                                                                                    ),
                                                                
                                                                'youtube_custom_player'     => array(   
                                                                                                    'jw_player'     => 'render_with_jw_player',
                                                                                                    'kvs_player_pro'=> 'render_with_media_elements',
                                                                                                    'kvs_player'    => 'render_with_media_elements',
                                                                                                    'fv_player'     => 'render_with_media_elements',
                                                                                                    'defaults'      => 'render_with_media_elements'
                                                                                                    ),
                                                                
                                                                'dailymotion'   => array(
                                                                                            'jw_player'     => 'render_with_embed',
                                                                                            'kvs_player_pro'=> 'render_with_embed',
                                                                                            'kvs_player'    => 'render_with_embed',
                                                                                            'fv_player'     => 'render_with_embed',
                                                                                            'defaults'      => 'render_with_embed'
                                                                                        ),
                                                                'vimeo'         => array( 
                                                                                            'jw_player'     => 'render_with_embed',
                                                                                            'kvs_player_pro'=> 'render_with_embed',
                                                                                            'kvs_player'    => 'render_with_embed',
                                                                                            'fv_player'     => 'render_with_embed',
                                                                                            'defaults'      => 'render_with_embed'
                                                                                        )
                                                             ),
                                                             
                                                            
                                   'cnf4a_source_url' => array(
                                                                'iframe/embed'  => array( 
                                                                                            'jw_player'     => 'render_with_embed',
                                                                                            'kvs_player_pro'=> 'render_with_embed',
                                                                                            'kvs_player'    => 'render_with_embed',
                                                                                            'fv_player'     => 'render_with_embed',
                                                                                            'defaults'      => 'render_with_embed'
                                                                                        )
                                                             ),
                                                             
                                                            
                                   'url_video'       => array(   
                                                                'mp4/flv'       => array(
                                                                                            'jw_player'     => 'render_with_jw_player',
                                                                                            'kvs_player_pro'=> 'render_with_kvs_player_pro',
                                                                                            'kvs_player'    => 'render_with_kvs_player',
                                                                                            'fv_player'     => 'render_with_fv_player',
                                                                                            'defaults'      => 'render_with_media_elements'
                                                                                        )
                                                             ),
                                                                
                                   'code'            => array(
                                                                'iframe/embed'  => array(
                                                                                            'jw_player'     => 'render_with_embed',
                                                                                            'kvs_player_pro'=> 'render_with_embed',
                                                                                            'kvs_player'    => 'render_with_embed',
                                                                                            'fv_player'     => 'render_with_embed',
                                                                                            'defaults'      => 'render_with_embed'
                                                                                        ),
                                                                ),
                                   'cnf_old_source_url'=> array(
                                                                'youtube_native_player'     => array(   
                                                                                                    'jw_player'     => 'render_with_embed_shortcode',
                                                                                                    'kvs_player_pro'=> 'render_with_embed_shortcode',
                                                                                                    'kvs_player'    => 'render_with_embed_shortcode',
                                                                                                    'fv_player'     => 'render_with_embed_shortcode',
                                                                                                    'defaults'      => 'render_with_embed_shortcode'
                                                                                                    ),
                                                                
                                                                'youtube_custom_player'     => array(   
                                                                                                    'jw_player'     => 'render_with_jw_player',
                                                                                                    'kvs_player_pro'=> 'render_with_media_elements',
                                                                                                    'kvs_player'    => 'render_with_media_elements',
                                                                                                    'fv_player'     => 'render_with_media_elements',
                                                                                                    'defaults'      => 'render_with_media_elements'
                                                                                                    ),
                                                                
                                                                'dailymotion'   => array(
                                                                                            'jw_player'     => 'render_with_embed_shortcode',
                                                                                            'kvs_player_pro'=> 'render_with_embed_shortcode',
                                                                                            'kvs_player'    => 'render_with_embed_shortcode',
                                                                                            'fv_player'     => 'render_with_embed_shortcode',
                                                                                            'defaults'      => 'render_with_embed_shortcode'
                                                                                        ),
                                                                'vimeo'         => array( 
                                                                                            'jw_player'     => 'render_with_embed_shortcode',
                                                                                            'kvs_player_pro'=> 'render_with_embed_shortcode',
                                                                                            'kvs_player'    => 'render_with_embed_shortcode',
                                                                                            'fv_player'     => 'render_with_embed_shortcode',
                                                                                            'defaults'      => 'render_with_embed_shortcode'
                                                                                        )
                                                                )
                                   );


                                                                
    $source = '';
    
    $sources = array( 'code', 'url_youtube', 'url_dailymotion', 'url_vimeo', 'url_video', 'cnf4a_source_url', 'cnf_source_url' );   
    
    $custom_field = '';
    foreach( $sources as $source){
       
        if( get_post_meta( $post->ID, $source, true ) ){
            $custom_field_key   = $source;
            //retrocompatible with ex-import novavideo function
            if( $custom_field_key == 'url_youtube' || $custom_field_key == 'url_dailymotion' || $custom_field_key == 'url_vimeo')
                $custom_field_key = 'cnf_old_source_url';
            
            $url_video          = get_post_meta( $post->ID, $source, true );
        }
    }

    $render_with = $relation_source_type_player[$custom_field_key][ novavideo_get_video_type($url_video)][ novavideo_get_video_player($url_video)]; 
        
    $url_thumb = novavideo_get_post_image( 'full', true );
    
    switch ( $render_with ){
        
        case 'render_with_embed':
            return htmlspecialchars_decode( get_post_meta( $post->ID, 'code', true ) );
            break;
            
        case 'render_with_embed_shortcode':
            return $wp_embed->run_shortcode('[embed]' . $url_video . '[/embed]');
            break;
            
        case 'render_with_jw_player':
            return JWP6_Shortcode::the_content_filter('[jwplayer file="' . $url_video . '" image="' . $url_thumb . '"]');
            break;
            
        case 'render_with_kvs_player':
            return apply_filters('the_content', '[flv:' . $url_video . ' ' . $url_thumb . ']');
            break;
            
        case 'render_with_kvs_player_pro':
            return apply_filters('the_content', '[kvs_player video_url="' . $url_video . '" preview_url="' . $url_thumb . '"]');
            break;
            
        case 'render_with_fv_player':
            return apply_filters('the_content', '[fvplayer src="' . $url_video . '" splash="' . $url_thumb . '"]');
            break;
            
        case 'render_with_media_elements':
            // Mediaelement JS
            $responsive_me = get_option( novavideo_get_theme_name() . '_responsive_player' );
            $autoplay_me   = get_option( novavideo_get_theme_name() . '_autoplay_player' );
            $width_me      = get_option( novavideo_get_theme_name() . '_set_width' );
            $height_me     = get_option( novavideo_get_theme_name() . '_set_height' );
            if ( $responsive_me == 'yes' ) : ?>        
                <style type="text/css">                                                                           
                    .wp-video-shortcode {
                    	max-width: 100%;                                                
                        width: 100%!important;
                        height: 100%!important;
                    }
                    #video-code .me-plugin embed {
                        max-width: 100%;                                                
                        width: 100%!important;
                        height: 100%!important;
                    }                            
                </style>
            <?php endif;           
                               
            if( $custom_field_key == 'cnf_old_source_url' || $custom_field_key == 'cnf_source_url' ){
                $type_youtube = get_option( novavideo_get_theme_name() . "_youtube_player" ) == 'no' ? ' type="video/youtube"' : '';  
                $poster_video = '';
            }else{
                $poster_video = 'poster="' . $url_thumb . '"';
            }     
            
                
            
            //Render with embed code when a mono-plugin sponsor player option is on yes
            if ( get_option( novavideo_get_sponsor_lang( get_post_meta($post->ID, 'sponsor', true) ) . "_use_player" ) == 'yes' ) {           
                return htmlspecialchars_decode( get_post_meta( $post->ID, 'code', true ) );           
            }            
              
            if ( $responsive_me == 'no' && $autoplay_me == 'no' ) {    
                
                    return do_shortcode('[video src="' . $url_video . '" ' . $poster_video . ' preload="none" width="' . $width_me . '" height="' . $height_me . '"' . $type_youtube . ']');
            
            } elseif ( $responsive_me == 'yes' && $autoplay_me == 'no' ) {                

                    return do_shortcode('[video src="' . $url_video . '" ' . $poster_video . ' preload="none"' . $type_youtube . ']');
                    
            } elseif ( $responsive_me == 'no' && $autoplay_me == 'yes' ) {

                    return do_shortcode('[video src="' . $url_video . '" ' . $poster_video . ' preload="none" width="' . $width_me . '" height="' . $height_me . '" autoplay="true"' . $type_youtube . ']');
               
            } elseif ( $responsive_me == 'yes' && $autoplay_me == 'yes' ) {

                    return do_shortcode('[video src="' . $url_video . '" ' . $poster_video . ' preload="none" autoplay="true"' . $type_youtube . ']');
                                                        
            }           
            
            break;
            
        default:
            return false;
        
    }

}


function novavideo_get_video_type( $video_url ){    
    
    $detect = new Mobile_Detect;
  
    $video['domain']    = parse_url($video_url);
    $video['domain']    = $video['domain']['host'];
    
    $video['ext']       = explode( '.', $video_url );
    $video['ext']       = end( $video['ext'] );
    
    $video_type         = 'iframe/embed';
    
    if( ( strpos( $video['domain'], 'youtube' ) > -1 ) && get_option( novavideo_get_theme_name() . "_youtube_player" ) == 'yes' ){ $video_type = 'youtube_native_player'; }
    if( ( strpos( $video['domain'], 'youtube' ) > -1 ) && get_option( novavideo_get_theme_name() . "_youtube_player" ) == 'no' ){ $video_type = 'youtube_custom_player'; }
    if( strpos( $video['domain'], 'youtube' ) && ( $detect->isMobile() || $detect->isTablet() ) ){ $video_type = 'youtube_native_player'; }
    if( strpos( $video['domain'], 'dailymotion' ) > -1 ){    $video_type = 'dailymotion'; }
    if( strpos( $video['domain'], 'vimeo' ) > -1 ){          $video_type = 'vimeo'; }
     
    if( $video['ext'] == 'flv' ){                       $video_type = 'mp4/flv'; }
    if( $video['ext'] == 'mp4' ){                       $video_type = 'mp4/flv'; }
    
    return $video_type;
    
}

function novavideo_get_video_player( $video_url ){    
    
    $video_player = 'defaults';
    
    if( novavideo_is_plugin_active('kvs-flv-player/kvs-flv-player.php') ){
        $video_player = 'kvs_player';
    }
    
    if(  novavideo_is_plugin_active('kvs-player-pro/kvs-player-pro.php') ){
        $video_player = 'kvs_player_pro';
    }
    
    if( novavideo_is_plugin_active('jw-player-plugin-for-wordpress/jwplayermodule.php') ){
        $video_player = 'jw_player';
    }
    
    if( novavideo_is_plugin_active('fv-wordpress-flowplayer/flowplayer.php') ){
        $video_player = 'fv_player';
    }   
    
    return $video_player;
}