<?php
/**
 * The template for comments.
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */
 ?>

<div class="comments-sec">
    <?php if (post_password_required()) : ?>
    <p><?php _e('This post is password protected. Enter the password to view any comments.', novavideo_get_theme_name()); ?></p>
    <?php
        /* Stop the rest of comments.php from being processed,
         * but don't kill the script entirely -- we still have
         * to fully load the template.
         */
        return;
        endif;
        ?>

        <?php if (have_comments()) : ?>
        
        <div class="widget-title"><span><?php
        $commentscount = get_comments_number();
        if($commentscount == 1): $commenttext = __('comment', novavideo_get_theme_name()); endif;
        if($commentscount > 1 || $commentscount == 0): $commenttext = __('comments', novavideo_get_theme_name()); endif;
        echo ''.$commentscount.' '.$commenttext.'';
        ?></span></div>
 
        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // Are there comments to navigate through?  ?>
        <?php previous_comments_link(__('&larr; Older Comments', novavideo_get_theme_name())); ?>
        <?php next_comments_link(__('Newer Comments &rarr;', novavideo_get_theme_name())); ?>
    <?php endif; // check for comment navigation ?>

        <ol class="commentlist border-radius-5">
        <?php wp_list_comments(array('callback' => novavideo_theme_comment)); ?>
        </ol>

        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // Are there comments to navigate through?  ?>
        <?php previous_comments_link(__('&larr; Older Comments', novavideo_get_theme_name())); ?>
        <?php next_comments_link(__('Newer Comments &rarr;', novavideo_get_theme_name())); ?>
    <?php endif; // check for comment navigation ?>

    <?php
    else : // or, if we don't have comments:

        /* If there are no comments and comments are closed,
         * let's leave a little note, shall we?
         */
        if (!comments_open()) :
            ?>
        <p><?php _e('Comments are closed.', novavideo_get_theme_name()); ?></p>
    <?php endif; // end ! comments_open() ?>

<?php endif; // end have_comments() ?>
</div>


<!-- Add Comment -->
<div class="comments-sec">
    <?php comment_form(); ?>
</div>