<?php header("Content-type: text/css"); ?>
/* ================================================================================================
        Vertical design
================================================================================================ */
#container {    
    margin: 20px auto 0;    
}

.bx-wrapper .bx-viewport {
    width: 96%!important;    
}

#footer {
    width: 1100px;
    margin: 0 auto 20px;    
}

<?php
    if (!empty($_GET['responsive']) && $_GET['responsive'] == 'yes' ):
?>
/* ================================================================================================
        Mediaqueries
================================================================================================ */

/* ************************************************************************************************
		1024 resolutions
************************************************************************************************ */
@media only screen and (min-width: 960px) and (max-width: 1139px) {
    
    /********** Content **********/
    #container,
    #footer {
        width: 920px;
    }
    
}

/* ************************************************************************************************
		Tablet portrait
************************************************************************************************ */
@media only screen and (min-width: 768px) and (max-width: 959px) {
    
    /********** Container **********/
    #container,
    #footer {
        width: 728px;
    }
    
}

/* ************************************************************************************************
		Mobile landscape
************************************************************************************************ */
@media only screen and (min-width: 480px) and (max-width: 767px) {
    
    /********** Container **********/
    #container,
    #footer {
        width: 440px;
    }
    
}

/* ************************************************************************************************
		Mobile portrait
************************************************************************************************ */
@media only screen and (max-width: 479px) {
    
    #container,
    #footer {
        width: 260px;
    }

}

<?php endif;?>