<?php
/**
 * The search form.
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */

get_header(); ?>

<form method="get" id="searchform" action="<?php bloginfo('url'); ?>/">

    <div>

        <?php if( get_search_query() ): ?>
        
            <input type="text" value="<?php the_search_query(); ?>" name="s" id="s" class="border-radius-left-5" />
        
        <?php else: ?>
        
            <input class="textbox border-radius-left-5" value="<?php _e('Search' , novavideo_get_theme_name()); ?>..." name="s" id="s" onfocus="if (this.value == '<?php _e('Search' , novavideo_get_theme_name()); ?>...') {this.value = '';}" onblur="if (this.value == '') {this.value = '<?php _e('Search' , novavideo_get_theme_name()); ?>...';}" type="text" />
        
        <?php endif;?>
        
            <input type="submit" id="searchsubmit" value="" class="border-radius-right-5" />
        
	</div>
    
</form>